### BEGIN INIT INFO
# Provides:          consul
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Consul agent
# Description:       Consul service discovery framework
### END INIT INFO

[Unit]
Description=Consul agent
Requires=network-online.target
After=network-online.target

[Service]
User={{ consul_user }}
Group={{ consul_group }}
PIDFile={{ consul_run_path }}/consul.pid
PermissionsStartOnly=true
ExecStartPre=-/bin/mkdir -m 0750 -p {{ consul_run_path }}
ExecStartPre=/bin/chown -R {{ consul_user }}:{{ consul_group }} {{ consul_run_path }}
ExecStart={{ consul_bin_path }}/consul agent \
    -config-file={{ consul_config_path }}/{{ 'server.hcl' if consul_node_role == 'server' else 'client.hcl' }} \
    -config-dir={{ consul_configd_path}} \
    -pid-file={{ consul_run_path }}/consul.pid
ExecReload=/bin/kill -HUP $MAINPID
KillMode=process
KillSignal=SIGTERM
Restart=on-failure
RestartSec=42s
StandardOutput=null
StandardError=null
LimitNOFILE=65536
AmbientCapabilities=CAP_NET_BIND_SERVICE

[Install]
WantedBy=multi-user.target
